@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
:root {
    --accent:#3a449c;
    --body : #f0f0f0;
    --gradient :linear-gradient(90deg,#4352d8,#ae43d8,#f05fb3);
    --black:rgb(56, 50, 61);
    --line:#b1b1b1;
    --pink:rgb(243, 112, 145);
    --blue:rgb(247, 220, 66);
}
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-size: 0.89rem;
    font-family: 'Poppins',system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
a {
    display: inline-block;
}
body.main {
    background: var(--body);
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    background-repeat: no-repeat;
}
.header-login {
    display: flex;
    background: white;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding:1rem;
    text-align: center;
}
.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.8rem 3rem;
    background: var(--pink);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}
.header .left-nav {
    display: flex;
    flex-grow: 2;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
}
.header .right-nav {
    display: flex;
    justify-content: space-between;
    gap: 1.2rem;
}
.header a {
    color: var(--body);
}
.form {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
    background: white;
    border-radius: 5px;
    padding: 1rem;
}
.form-header  {
    background: var(--accent);
    color: var(--body);
    padding:1rem;
    border-radius: 5px;
}
.form-body {
    padding:1rem;
}
.form-footer {
    padding:1rem 1rem;
}
.card-lab {
    position:relative;
}
.card-lab .act {
    position: absolute;
    top:0;
    left: 0;
    width: 100%;
    padding: 10px;
    display: flex;
    justify-content: space-between;
}
.form-text {
    width:100%;
    border: solid 0.2px #b1b1b1;
    padding:0.8rem 0.7rem;
    border-radius:3px;
    background:white;
}

.form-text::placeholder {
    font-size: 12px;
}
.form-text:focus {
    box-shadow: 0 0 5px rgba(58, 68, 156,0.5);
    outline:none;
}
.jumlah {
    border:none;
    outline: none;
    border-bottom:solid 1px var(--line);
    text-align:center;
    padding:0.3rem;
}
.btnn {
    padding:0.8rem 1.6rem;
    font-size:1rem;
    border: none;
    border-radius: 5px;
}
.btn-submit {
    background: var(--accent);
    color: var(--body);
}
.text-underline {
    text-decoration: underline;
}
.main-wrapper {
    background: hsla(0, 0%, 100%, 1);
    min-height:100vh;
    position: relative;
}
.main-wrapper .cari{
    width:50%;
    padding: 3rem;
}
.notif-prt {
    position: relative;
}
.notif {
    position:absolute;
    right:-20%;
    top:-50%;
    font-size:0.7rem;
    z-index: 1;
}
.nav-link {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column-reverse;
    gap: 0.5rem;
    text-align: center;
}
.nav-link.active {
    background: var(--accent);
    /* padding: 1rem; */
    border-radius: 3px;
}
.nav-link .label {
    font-size:0.7rem;
}
.grid {
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px, 1fr));
    gap:0.5rem;
    justify-content: center;
    align-items: center;
}

.grid.riwayat {
    grid-template-columns: repeat(auto-fit,minmax(500px, 1fr));
    align-items: center;
    justify-content: center;

}
.grid .card-alat {
    min-height:200px;
    position:relative;
    overflow: hidden;
    max-width:250px;
    width: 100%;
    box-sizing: border-box; 
}
.grid .card-alat .image-item {
    width:100%;
    height:150px;
    object-fit: cover;
    object-position: center;
}
.grid .card-alat .card-alat-footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.grid .card-alat .card-alat-footer  .hapus-item{
    position: absolute;
    z-index:2;
    top:5%;
    right:5%;
}
.page-wrapper {
    display: flex;
    justify-content: space-between;
    padding:2rem 2rem 5rem 2rem;
}
.page-wrapper .page {
    display: flex;
}
.page-wrapper .page a {
    background-color: var(--black);
    padding:0.5rem 1rem;
    color: var(--body);
    border-right:solid 1px var(--line);
    border-radius: 3px;
}

.page-wrapper .page a.page-act {
    background: var(--accent);
}
.badge-pink {
    background-color: var(--pink);
}
.btn-pink {
    background: var(--pink);
    color: var(--body);
}
.footer {
    background: var(--black);
    width: 100%;
    padding: 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap:2rem;

}
.footer h3 {
    color:var(--body);
}
.footer span {
    color: var(--body);
}
.footer .right-pane {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap:1rem;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
}
.input-aj {
    position: relative;
}
.sugg-div {
    position: absolute;
    top:100%;
    left: 0;
    width: 100%;
    z-index: 10 ;
    background: var(--white);
    max-height: 300px;
    overflow: auto  ;
}
.sugg-div ul {
    list-style: none;
    padding: 0.5rem;
}
@media (max-width:768px) {
    .page-wrapper {
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap:1rem;
        /* margin-bottom:5rem; */
    }
    .header {
        justify-content: flex-start;
        padding:1rem;
    }
    .header .right-nav {
        position: fixed;
        background: var(--black);
        width: 100%;
        left: 0;
        right: 0;
        bottom: 0;
        padding: 0.2rem;
        z-index:3;
        border-top:1px solid var(--body);
        gap:0.5rem;
        align-items: flex-end;
        justify-content: center;
    }
    .header .right-nav .nav-link {
        color:rgba(200,200,200,0.5);
    }
    .header .right-nav .nav-link.active {
        color:rgb(250, 250, 250);
        background: none;
    }
    .header .right-nav .label {
        font-size: 0.5rem;
    }
    .header {
        justify-content: center;
    }
    .header .right-nav a {
        color: var(--body);
        font-size: 0.7rem;
    }
    .grid {
        display: grid;
        grid-template-columns: repeat(auto-fit,minmax(250px, 1fr));
        gap:0.5rem
    }
    .grid.riwayat{
        grid-template-columns: repeat(auto-fit,minmax(200px, 1fr));
        gap:0.5rem
    }
    .grid .card-alat {
        display: flex;
        flex-direction: row;
        min-height:100px;
        max-width: 100%;
    }
    .grid .card-alat .image-item {
        width:100px;
        height:100px;
        object-fit: cover;
        object-position: center;
    }
    .zoom-image {
        max-width: 100vw;
        height: auto;
        object-fit: cover;
        object-position: center;
    }
    .gambar-link {
        display:none;
    }
    .grid .card-alat .item-desc {
        width: 100%;
        height: 100%;
        font-size:0.4rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    .grid .card-alat .item-desc .form-body{
        width:100%;
        padding-bottom: 0rem;
        padding-top:0.3rem;
    }
    .grid .card-alat .item-desc .form-body span,strong {
        font-size: 0.6rem;
    }
    .grid .card-alat .card-alat-footer {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap:0.5rem;
        padding-top:0rem;
        padding-bottom: 0.3rem;
    }
    .grid .card-alat .card-alat-footer span,button,input {
        font-size: 0.6rem;
    }
    .footer {
        flex-direction: column;
        padding-bottom: 7rem;
    }
    .footer .right-pane {
        flex-direction: column;
    }
    .main-wrapper .cari {
        width:100%;
    }
    
}